<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>bucketist</title>
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/normalize/5.0.0/normalize.min.css"
    />
    <link
      rel="stylesheet"
      href="https://ajax.googleapis.com/ajax/libs/angular_material/0.11.2/angular-material.min.css"
    />
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/icon?family=Material+Icons"
    />
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Roboto:400,500,700,400italic"
    />
    <link rel="stylesheet" href="./profile.css" />
    <link
      href="https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css"
      rel="stylesheet"
    />
    <!-- Update -->
    <link
      href="https://fonts.googleapis.com/css?family=Nunito"
      rel="stylesheet"
    />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
    <!-- Bootstrap -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"></script>
    <!-- home -->
    <link rel="stylesheet" href="home.css">
    <link rel="stylesheet" href="style.css" />
    <link rel="stylesheet"  type="text/css" href="a.css">
    <!--FONTAWESOME CDN-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css" integrity="sha512-+4zCK9k+qNFUR5X+cKL9EIR+ZOhtIloNl9GIKS57V1MyNsYpYcUrUeQc9vNfzsWfV28IaLL3i96P9sdNyeRssA==" crossorigin="anonymous" />
  </head>
  <body>
    <nav>
      <div class="navbar">
        <i class="bx bx-menu"></i>
        <div class="logo"><a href="#">Bucket List</a></div>
        <div class="nav-links">
          <div class="sidebar-logo">
            <span class="logo-name">Bucket List</span>
            <i class="bx bx-x"></i>
          </div>
          <ul class="links">
            <li>
              <a href="#">Home</a>
              <i class="bx bxs-chevron-down htmlcss-arrow arrow"></i>
              <ul class="htmlCss-sub-menu sub-menu">
                <li><a href="home.html">Bucket List</a></li>
                <li><a href="home.html">Add Bucket List</a></li>
                <li class="more" visibility="hidden" style="display: none">
                  <span style="visibility: hidden"
                    ><a href="#"></a>
                    <i class="bx bxs-chevron-right arrow more-arrow"></i>
                  </span>
                </li>
              </ul>
            </li>
            <li><a href="a.html">Post</a></li>
            <li><a href="profile.html">User Profile</a></li>
            <li><a href="" onclick="logout()">Log Out</a></li>
          </ul>
        </div>
        <div class="search-box" style="visibility: hidden">
          <i class="bx bx-search"></i>
          <div class="input-box">
            <input type="text" placeholder="Search..." />
          </div>
        </div>
      </div>
    </nav>
    <br/>
    <br/>
    <br/>

    <div class="app">
      <!-- <h4 class="mb-3">MY BUCKET LIST</h4> -->
      <div id="addNew" class="addNewPost" data-bs-toggle="modal" data-bs-target="#form">
        <span>New Post</span>
        <i class="fa fa-plus"></i>
      </div>
      <!-- Modal -->
      <form class="modal fade" id="form" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">ADD NEW POST</h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
              <p>Post Title</p>
              <input type="text" class="form-control" name="" id="textInput">
              <div id="msg"></div>
              <br>
              <script class="jsbin" src="https://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>
              <div class="file-upload">
                <button class="file-upload-btn" type="button" onclick="$('.file-upload-input').trigger( 'click' )">Add Image</button>
              
                <div class="image-upload-wrap">
                  <input class="file-upload-input" id="imageUrl" type='file' onchange="readURL(this);" accept="image/*" />
                  <div class="drag-text">
                    <h3>Drag and drop a file or select add Image</h3>
                  </div>
                </div>
                <div class="file-upload-content">
                  <img class="file-upload-image" src="#" alt="your image" />
                  <div class="image-title-wrap">
                    <button type="button" onclick="removeUpload()" class="remove-image">Remove <span class="image-title">Uploaded Image</span></button>
                  </div>
                </div>
              </div>
              <div>
                  <input class="caption" id="text" type="text" placeholder="Add Caption" >
              </div>
              <div class="row form-action-buttons" >
                  <input id="submit" type="submit" value="POST" >
              </div>
         
 
            </div>
          </div>
        </div>
      </form>
      <h4 class="text-center my-3">Your Post</h4>

      <div id="posts">
        <!-- <div class="post">
          <div class="left">
            <p class="serialno">serial no</p>
            <img class="img-cont" src="/myapp/view/Images/backImg.jpg" alt="">
          </div>

          <div class="right">
            <h3 class="title">title</h3>
            <p class="description">description dcbj fgcierfreiig  gheig e rgvier gferef 
               geirgieriure iu gerigeirbfr 3ugtierfgrig regu34 gc3iregerhiregebfjk v ergittgurigrf
            </p>
          </div>
          <button>DELETE POST</button>
        </div> -->
      </div>
    </div>

      <footer  class="myfooter">
        <div class="container p-4">
     
          <div class="row">
            
            <div class="col-lg-6 col-md-12 mb-4 mb-md-0">
              <h5 class="text-uppercase">BucketList</h5>
      
              <p>
                BucketList: Make a list and fulfill it before you kick the bucket!
              </p>
            </div>
           
      
          
            <div class="col-lg-6 col-md-12 mb-4 mb-md-0">
              <h5 class="text-uppercase">Our Social Presence</h5>
      
              <p>
                <a class="text-light sociallink" href="#">FaceBook</a>.
                <br>
                <a class="text-light sociallink" href="#">Instagram</a>
                <br>
                <a class="text-light sociallink" href="#">Discord</a>
              </p>
            </div>
          
          </div>
          
        </div>
        
        <!-- Copyright -->
        <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
            © 2023 Copyright:
        <a class="text-light"href="#">BucketList</a>
        </div>
        <!-- Copyright -->
      
      </footer>
      



    <!-- <script src="/myapp/view/profile.js"></script> -->
    <!-- <script src="script.js"></script> -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>
    <script src="home.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
    <script src="./js/memo.js"></script>
    <script src="./js/logout.js"></script>
    <script>
      // Function to check if a cookie is present
      function checkCookie() {
        var cookieName = "my-cookie"; // Replace with the actual name of your session cookie
        var cookieValue = getCookie(cookieName);
    
        // If cookie value is not present or empty, redirect to the login page
        if (!cookieValue || cookieValue === "") {
          alert("Session time out! please login again")
          window.location.href = "index.html"; // Replace "/login" with the URL of your login page
        }
      }
    
      // Function to retrieve the value of a cookie
      function getCookie(name) {
        var value = "; " + document.cookie;
        var parts = value.split("; " + name + "=");
        if (parts.length === 2) {
          return parts.pop().split(";").shift();
        }
        return "";
      }
    
      // Call the checkCookie function on page load
      checkCookie();
    </script>
  </body>
</html>